com.google.gwt.logging.client

## Class LogConfiguration

- java.lang.Object
- - com.google.gwt.logging.client.LogConfiguration

All Implemented Interfaces:
  EntryPoint

    public class LogConfiguration
    extends java.lang.Object
    implements EntryPoint

Configures client-side logging using the query params and gwt.xml settings.

### Constructor Summary

Constructors
Constructor and Description
`LogConfiguration()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `loggingIsEnabled()`
`static boolean` `loggingIsEnabled(java.util.logging.Level level)`
`void` `onModuleLoad()` The entry point method, called automatically by loading a module that declares an implementing class as an entry point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogConfiguration

    public LogConfiguration()

### Method Detail

#### loggingIsEnabled

    public static boolean loggingIsEnabled()

#### loggingIsEnabled

    public static boolean loggingIsEnabled(java.util.logging.Level level)

#### onModuleLoad

    public void onModuleLoad()

Description copied from interface: `EntryPoint`
The entry point method, called automatically by loading a module that declares an implementing class as an entry point.

Specified by:
  `onModuleLoad` in interface `EntryPoint`